﻿/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

.top-bar-main {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: #f8f8f8;
    height: 2rem;
    -webkit-box-shadow: 3px 3px 6px 0px #0000000C;
    box-shadow: 3px 3px 6px 0px #0000000C;
    -webkit-justify-content: center;
    border: none;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    z-index: 2;
}

.top-bar-button {
    text-decoration: none;
    color: black;
    background-color: transparent;
    border: none;
    padding: 0 1rem;
    font-size: 1.1rem;
}

.flex-container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.whole-page {
    margin-top: 3.5rem;
    margin-bottom: 0.5rem;
}

.flex-bar-middle {
    font-size: 1.2rem;
    font-weight: bold;
    position: fixed;
    top: 0.125rem;
    left: 8.5rem;
    right: 0;
    text-align: center;
    z-index: 3;
}

    .flex-bar-middle h1 {
        font-size: 1.2rem;
        font-weight: bold;
        top: 0.125rem;
        margin-top: unset;
        margin-bottom: unset;
        font-weight: unset;
        line-height: unset;
    }

.desktop-collapsed .flex-bar-middle {
    left: 3rem;
}


.flex-bar-right {
    display: flex;
    flex-direction: row;
    align-items: center;
    z-index: 4;
    margin-left: auto;
    -webkit-box-flex: 0;
    -ms-flex: 0 1 2rem;
    flex: 0 1 2rem;
}

table > thead > tr > th > p, table > thead > tr > th {
    font-size: 0.8rem;
}

/* tidy up look of input elements */
select, input, textarea:not([readonly]) {
    background-color: #0000000E;
    border: 1px solid #888;
    border-radius: 0.25rem;
    padding-left: 0.3rem;
}

select {
    height: 1.71rem;
    /*padding-left: 0.05rem;*/
}

input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    position: relative;
    top: 0.15rem;
    padding-top: 1rem;
    width: 1.2rem;
    height: 1.2rem;
    border: 1px solid #888; /* Unchecked border color */
    background-color: #f0f0f0; /* Unchecked background color */
    border-radius: 0.25rem;
    cursor: pointer;
}

    input[type="checkbox"]:checked {
        background-color: #1b6ec2; /* Checked background color */
        border-color: #1b6ec2;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E%3Cpath fill='none' stroke='white' stroke-width='2.2' d='M6.2 10.2l2.5 2.5l5-6.5'/%3E%3C/svg%3E");
        background-repeat: no-repeat;
        background-position: center;
        background-size: 1.5rem;
    }

.anon-indicator {
    font-size: 1.2rem;
    font-weight: bolder;
}

select:hover, input:hover, .selectable-table:hover {
    cursor: pointer;
}

/*-----------------mobile-----------------*/
@media (max-width: 799.98px) {
    .flex-bar-middle, .desktop-collapsed .flex-bar-middle {
        left: 0;
    }
}
